Morris AC - Intelligent AC app (ex TFIAC)

Hi, I own a Morris AC that used to work with the TFIAC app, and now with the Intelligent AC app. I have added in my configuration the following:

climate:
  - platform: tfiac
    host: 192.168.1.14

But it does nothing. If it helps, from inside the intelligent ac app I can see the following device information:

PID: 000000000000000000000007a500000
DID: 0000000000000000000c8f742847c3b
MAC: c8:f7:42:84:7c:3b
Device IP: 192.168.1.14@80
Access cloud: Click to retry
Data cloud: 3.122.136.209

I’m not sure if I have to do something else after adding climate in the configuration, but I don’t see any device.

When I boot HA, I’m getting this in logs:

2023-10-24 12:58:24.912 ERROR (MainThread) [homeassistant.components.climate] Error while setting up tfiac platform for climate
Traceback (most recent call last):
  File "/usr/local/lib/python3.11/asyncio/tasks.py", line 490, in wait_for
    return fut.result()
           ^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/tellsticknet/util.py", line 50, in sock_recvfrom
    await blocking.wait()
  File "/usr/local/lib/python3.11/asyncio/locks.py", line 213, in wait
    await fut
asyncio.exceptions.CancelledError
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/usr/local/lib/python3.11/site-packages/pytfiac.py", line 96, in _send
    data, _ = await asyncio.wait_for(
              ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/asyncio/tasks.py", line 492, in wait_for
    raise exceptions.TimeoutError() from exc

TimeoutError
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity_platform.py", line 359, in _async_setup_platform
    await asyncio.shield(task)
  File "/usr/src/homeassistant/homeassistant/components/tfiac/climate.py", line 72, in async_setup_platform
    await tfiac_client.update()
  File "/usr/local/lib/python3.11/site-packages/pytfiac.py", line 113, in update
    response = await self._send(STATUS_MESSAGE.format(seq=self._seq))
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/pytfiac.py", line 101, in _send
    raise Unavailable()
pytfiac.Unavailable

Thanks!